# Query Snapshot Consistency Group Details - DescribeUSnapGroup

## Overview

Query Snapshot Consistency Group Details






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUSnapGroup`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.sigcalcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **GroupId** | string | Consistency Group Snapshot ID |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **SnapshotList** | array[[*SnapInfo*](#snapinfo)] | Snapshot List Information |**Yes**|

#### Data Model


#### SnapInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **SnapshotId** | string | Snapshot ID |**Yes**|
| **VDiskType** | string | Disk Type: System Disk Boot Data Disk Data |**Yes**|
| **Size** | int | Snapshot Size GB |**Yes**|
| **VdiskId** | string | Disk ID |**Yes**|
| **Status** | string | Snapshot Status: Creating, Normal, Failed |**Yes**|

## Example

### Request Example
    
```
https://api.sigcalcloud.com/?Action=DescribeUSnapGroup
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=UZJdgtUQ
&GroupId=EsjhSUcU
```

### Response Example
    
```json
{
  "Action": "DescribeUSnapGroupResponse",
  "GroupList": [
    {
      "CreateTime": 5,
      "DataCount": 9,
      "GroupId": "rHOAEhzu",
      "Name": "UiBCBHAe",
      "Status": "fmHecChx",
      "SysCount": 1
    }
  ],
  "RetCode": 0
}
```





